Lavalite package that provides auto management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `demisgr/auto`.

    "demisgr/auto": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Demisgr\Auto\Providers\AutoServiceProvider::class,

And also add it to alias

    'Auto'  => Demisgr\Auto\Facades\Auto::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Demisgr\\AutoTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Demisgr\Auto\Providers\AutoServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Demisgr\Auto\Providers\AutoServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Demisgr\Auto\Providers\AutoServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/auto/{modulename}

**User**

    http://path-to-route-folder/user/auto/{modulename}

**Public**

    http://path-to-route-folder/autos


### API endpoints

**List**

    http://path-to-route-folder/api/user/auto/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/auto/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/auto/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/auto/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/auto/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/auto/{modulename}/{slug}
    METHOD: GET